Skip to content
POST/{organizationId}/crm/contacts/segments

Create segment

Creates a new contact segment

Required permissions:

  • mandate.read

  • contactSegment.insert

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

typestringrequired

Options:

memberaddresscustomersponsorcontributoremployeesupplier
namestringrequired

minLength: 1

maxLength: 40

mandateIdstringrequired
userOnlybooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/crm/contacts/segments
curl --request POST 'https://cloud.campai.com/api/{organizationId}/crm/contacts/segments' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "type": "member",
  "name": "string",
  "filter": {
    "operator": "and",
    "groups": [
      {
        "operator": "and",
        "fields": [
          {
            "path": "string",
            "comparator": "exists"
          }
        ]
      }
    ]
  },
  "mandateId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}